Bug 497305 - Suspend to RAM logs out user
Suspend to RAM logs out user
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-23 06:13 EDT by Adrien Bustany
Modified: 2009-05-10 17:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-10 17:20:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of gnome-session while suspending to ram and resuming (52.41 KB, application/octet-stream)
2009-04-24 12:08 EDT, Adrien Bustany
no flags Details

  None (edit)
Description Adrien Bustany 2009-04-23 06:13:49 EDT
Description of problem:
I use suspend to ram very often. Sometimes, I wake up the laptop and find myself logged out (it resumes on gdm screen). This does not depend on how much time I let the laptop in suspend mode, it's approximately 50% of time.

Version-Release number of selected component (if applicable):
gnome-power-manager-2.26.0-1.fc11.x86_64
DeviceKit-power-008-0.1.20090401git.fc11.x86_64

How reproducible:
Suspend to ram and wake up several times
Comment 1 Richard Hughes 2009-04-23 06:58:33 EDT
Does X crash on resume in the logged out case?
Comment 2 Adrien Bustany 2009-04-23 07:15:37 EDT
No, there's no X crash involved. Instead of seeing gnome screensaver's login window, I wake up on gdm. Like if gnome-session crashed at wakeup... Maybe it's a gnome-session bug then ?
Comment 3 Adrien Bustany 2009-04-24 12:08:47 EDT
Created attachment 341205 [details]
strace of gnome-session while suspending to ram and resuming
Comment 4 Adrien Bustany 2009-04-24 12:09:15 EDT
I did an strace on gnome session when that behaviour happened... We can see a "Fatal IO error", trace is attached. I therefore think it's a gnome-session bug...
Comment 5 Matthias Clasen 2009-04-24 23:29:54 EDT
I've failed to reproduce this so far, suspending multiple times in a row.
Comment 6 Jens Knutson 2009-04-29 14:24:39 EDT
I'm getting this as well, and it's REALLY obnoxious.  If there's any other troubleshooting steps or log output that'd be helpful, I'd be happy to provide.
Comment 7 Jens Knutson 2009-05-10 17:14:29 EDT
Update: I am no longer experiencing this problem - it's been fixed for at least a week or so with one of the updates that's come through rawhide.
Comment 8 Richard Hughes 2009-05-10 17:20:15 EDT
Okay, please re-open if it re-appears. Thanks.

Note You need to log in before you can comment on or make changes to this bug.